<?
/////////////////////////////////////////////////////
//  险情文章管理 1.0正式版本--php文本存储格式      //
//  作者：上海财经大学99国际工管    险情           //
//  email：indraw@sina.com                         //
//  qq：   30467826                                //
//  技术支持：http://shcj.51.net/wdb               //
//  最新演示：http://xqart.126.com                 //
//  2002/4/10                                      //
//  最新下载地址 http;//shcj.51.net/wdb            //
/////////////////////////////////////////////////////
include ("admin_log.php");
include ("../makepass.php");
include ("../config.php");
include ("xqfunc.php");
#############################################
if ($mode=="add"){
  $f_introduction=str_replace("\n","<br>",$f_introduction);
  $f_introduction=str_replace("|","│",$f_introduction);
  $f_introduction=str_replace("\t","",$f_introduction);
  $f_introduction=str_replace("\r","",$f_introduction);
  $f_introduction=str_replace('src=\"','&xqzpic',$f_introduction);
  $f_introduction=str_replace('\"','&xqypic',$f_introduction);

            $title=safe_cover($title);
            $author=safe_cover($author);
            $fromsite=safe_cover($fromsite);
            $f_image=safe_cover($f_image);
            $download=safe_cover($download);
            $fromwho=safe_cover($fromwho);
            $key=safe_cover($key);
  $article ="$mingzi|$title|$author|$fromsite|$f_image|$download|$xqdate|$message|$key|$tuijian|$fromwho|$speid|$mode||=|$num_time|$a2|$a3|$a4|$a5|||";
  $fp=fopen("../data/$type/$mingzi.num","w");
flock($fp,3);
fwrite($fp,$article);
fclose($fp);
 $fp_txt=fopen("../data/$type/$mingzi.txt","w");
flock($fp_txt,3);
fwrite($fp_txt,$f_introduction);
fclose($fp_txt);
    $msg="你已经成功修改文章";
    $turn_page="javascript:history.back(1);";
    error_1($msg,$turn_page);
    exit;
//////////////////
}
?>